import { AfterViewInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { MccColorPickerComponent } from './color-picker.component';
import { MccColorPickerOriginDirective } from './color-picker-origin.directive';
import * as i0 from "@angular/core";
/**
 * Directive connect an color picker with any input, select or textarea.
 * The color picker will be automatically updated when the value of the origin is
 * changed.
 */
export declare class MccConnectedColorPickerDirective implements AfterViewInit, OnDestroy {
    private colorPicker;
    changeDetectorRef: ChangeDetectorRef;
    private emptyColor;
    /**
     * Origin of the connected color picker
     */
    origin: MccColorPickerOriginDirective;
    /**
     * Color picker subscription
     */
    private _colorPickerSub;
    /**
     * Origin subscription
     */
    private _originSub;
    /**
     * Focus subscription
     */
    private _focusSub;
    constructor(colorPicker: MccColorPickerComponent, changeDetectorRef: ChangeDetectorRef, emptyColor: string);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    /**
     * Attach color picker and origin
     */
    private _attachColorPicker;
    static ɵfac: i0.ɵɵFactoryDeclaration<MccConnectedColorPickerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MccConnectedColorPickerDirective, "[mcc-connected-color-picker], [mccConnectedColorPicker]", ["mccConnectedColorPicker"], { "origin": "mccConnectedColorPickerOrigin"; }, {}, never>;
}
