import { ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { MccColorPickerItem, MccColorPickerOption } from './color-picker.types';
import * as i0 from "@angular/core";
/**
 * This directive change the background of the button
 */
export declare class MccColorPickerOptionComponent {
    private render;
    emptyColor: string;
    selectedColorIcon: string;
    selectedColorSvgIcon: string;
    disableSelectedIcon: boolean;
    /**
     * Receive the color
     */
    get color(): MccColorPickerOption;
    set color(value: MccColorPickerOption);
    private _color;
    selectedColor: string;
    colorSelected: EventEmitter<MccColorPickerOption>;
    button: ElementRef<HTMLButtonElement>;
    constructor(render: Renderer2, emptyColor: string, selectedColorIcon: string, selectedColorSvgIcon: string, disableSelectedIcon: boolean);
    get ariaLabel(): string;
    get backgroundColor(): string;
    /**
     * returns class for "black" or "white" icon-color on a collection-item
     */
    getIconColorClassForColor(color: string | MccColorPickerItem): string;
    /**
     * check if a color is the current selected color
     */
    isColorSelected(color: string | MccColorPickerItem): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MccColorPickerOptionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MccColorPickerOptionComponent, "mcc-color-picker-option", never, { "color": "color"; "selectedColor": "selectedColor"; }, { "colorSelected": "colorSelected"; }, never, never>;
}
